Venezuela
Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.
Request format
curl -X GET "https://newhedge.io/api/v2/companies/venezuela/METRIC_NAME?api_token=YOUR_TOKEN"
api_token (required) — 24 character token.
:metric_name — one of the company metric names listed below.
200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.
Metrics
Each company metric is fetched independently.
Bitcoin Acquisitions
Bitcoin acquisition history for the company.
https://newhedge.io/api/v2/companies/venezuela/bitcoin-acquisitions?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
{
"date": 1672444800000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://www.forbes.com/sites/michaeldelcastillo/2023/06/16/us-government-owns-way-more-bitcoin-than-any-other-countryso-why-arent-they-selling-it/",
"holding_balance": 240.0,
"holding_net_change": 240.0,
"transaction_value_usd": 3972800.876778024,
"average_entry_value_usd": 0.0,
"transaction_value_calculated": true
}
]
Bitcoin Holdings
Historical Bitcoin holdings for the company.
https://newhedge.io/api/v2/companies/venezuela/bitcoin-holdings?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
[
1778976000000,
240.0
],
[
1779062400000,
240.0
],
[
1779148800000,
240.0
]
]
Bitcoin Holdings USD
Historical USD value of the company's Bitcoin holdings.
https://newhedge.io/api/v2/companies/venezuela/bitcoin-holdings-usd?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
[
1778976000000,
18583166.4
],
[
1779062400000,
18466624.8
],
[
1779148800000,
18422402.4
]
]
Price Data
Historical market price data stored on the company profile.
https://newhedge.io/api/v2/companies/venezuela/price-data?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"message": "Data unavailable for this company"
}
Company Data
Company profile, fundamentals, and related reference data.
https://newhedge.io/api/v2/companies/venezuela/company-data?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"message": "Data unavailable for this company"
}
Performance Metrics
Calculated performance metrics for the company.
https://newhedge.io/api/v2/companies/venezuela/performance-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"message": "Data unavailable for this company"
}
Treasury Metrics
Bitcoin treasury summary metrics for the company.
https://newhedge.io/api/v2/companies/venezuela/treasury-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"btc_percent_company": 0.0,
"total_btc_percentage": 0.001,
"share_price_change_state": "up"
}